path: /build/build/fwupd-efi-sys-apps-1.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-apps/fwupd-efi -pv -t && \
    emerge -j ${JOBS} --nodeps sys-apps/fwupd-efi
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/fwupd-efi && luet-portage --dir /pkgdir/fwupd-efi
    sys-apps/fwupd-efi && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:a90c9c0823582f64eb9ff58629e8362faad3462fc277ebaff17aa46dfd1f9772
  package:
    name: fwupd-efi
    version: "1.4"
    category: sys-apps
    requires:
    - name: flashrom
      version: '>=0'
      category: sys-apps
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: EFI executable for fwupd
    uri:
    - https://fwupd.org
    license: LGPL-2.1+
    buildtimestamp: 2023-11-28 20:01:41.682146628 +0000 UTC m=+99.384712716
    labels:
      BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9
        dev-lang/python:3.7 ) virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: sys-boot/gnu-efi || ( ( dev-lang/python:3.10 dev-python/pefile[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ( dev-lang/python:3.8 dev-python/pefile[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/pefile[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/pefile[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) )
      RDEPEND: '!<sys-apps/fwupd-1.6.0'
      emerge.packages: sys-apps/fwupd-efi
      kit: core-hw-kit
      original.package.name: sys-apps/fwupd-efi
      original.package.slot: "0"
      original.package.version: 1.4-r1
    treedir: /build/packages
  package_dir: /pkgdir/fwupd-efi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 38b620ca9b6933b9fe06814bd2d16720fd843ef11de6b5ceecf77432667cfcd1
compressiontype: zstd
files:
- usr/lib64/pkgconfig/fwupd-efi.pc
- usr/libexec/fwupd/efi/fwupdx64.efi
- usr/share/doc/fwupd-efi-1.4-r1/AUTHORS
- usr/share/doc/fwupd-efi-1.4-r1/README.md.bz2
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/BDEPEND
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/BUILD_TIME
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/CATEGORY
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/CBUILD
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/CFLAGS
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/CHOST
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/CONTENTS
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/COUNTER
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/CXXFLAGS
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/DEFINED_PHASES
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/DEPEND
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/DESCRIPTION
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/EAPI
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/FEATURES
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/HOMEPAGE
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/INHERITED
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/IUSE
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/KEYWORDS
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/LDFLAGS
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/LICENSE
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/PF
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/RDEPEND
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/SIZE
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/SLOT
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/USE
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/environment.bz2
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/fwupd-efi-1.4-r1.ebuild
- var/db/pkg/sys-apps/fwupd-efi-1.4-r1/repository
package_cacheimage: ""
runtime:
  name: fwupd-efi
  version: "1.4"
  category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: EFI executable for fwupd
  uri:
  - https://fwupd.org
  license: LGPL-2.1+
  labels:
    BDEPEND: '|| ( dev-lang/python:3.10 dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      ) virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: sys-boot/gnu-efi || ( ( dev-lang/python:3.10 dev-python/pefile[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ( dev-lang/python:3.8 dev-python/pefile[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/pefile[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/pefile[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) )
    RDEPEND: '!<sys-apps/fwupd-1.6.0'
    emerge.packages: sys-apps/fwupd-efi
    kit: core-hw-kit
    original.package.name: sys-apps/fwupd-efi
    original.package.slot: "0"
    original.package.version: 1.4-r1
